package com.sqx.modules.integral.service;

import com.baomidou.mybatisplus.extension.service.IService;
import com.sqx.common.utils.Result;
import com.sqx.modules.integral.entity.UserIntegral;

public interface UserIntegralService extends IService<UserIntegral> {

    Result isSignIn(Long userId);

    Result signIn(Long userId);

    Result selectUserIntegral(Long userId);

    UserIntegral selectUserIntegrals(Long userId);

    Result todayIntegral(Long userId);

    Result findUserMessage(Long userId);

    Result continuousDay(Long userId);

    Result addAdminIntegral(Long userId, Integer sum, Integer type);

    Result queryIntegralList(Integer page, Integer limit,Long phone, String orderNumber, Integer classify);

    void updateExpiration();
}
